### Function

# RB Player gst_find_element_with_property

#### Declaration [src]

    GstElement*
    rb_player_gst_find_element_with_property (
      GstElement* element,
      const char* property
    )

#### Description [src]

Finds an element inside `element` that has a property with the specified name.

#### Parameters

`element`

  Type: `GstElement`

  Element to search.

  The data is owned by the caller of the function.

`property`

  Type: `const char*`

  Name of property to search for.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GstElement`

Element instance, or NULL if not found.

The caller of the function takes ownership of the data, and is responsible for freeing it.